# Char Randomizer Plugin

This unofficial TaleSpire plugin for randomly determining items from a list.
Supports real time lists and named pre-configured lists.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

### Pre-Configure Lists

To make rolling dice with a complex number of sides easier, custom dice can be defined in the ``Custom_Dice.json`` file.
The file is a JSON with the roll name as the key and the roll sides as the value. For example:
```
{
	"RPS": "Rock Paper Scissors",
	"Half6": "- - - 0 0 0",
	"TriTen": "0 0 0 0 1 1 1 1 1 2"
}
```
To roll a named roll, use the cr (Custom Roll) command. Type: ``/cr name`` such as ``/cr RPS``.

### Real Time List

To roll a real time list, use the cr (Custom Roll) command with all the possible items. For example:

``/cr Rock Paper Scissors``

or

``/cr Rock Paper Scissors Lizard Spock``

or 

``/cr 0 0 0 0 1 1 1 1 1 2``

Entries are separated by spaces so don't use spaces in the entry name.